Index: usr.sbin/mtree/spec.c
===================================================================
--- usr.sbin/mtree/spec.c	(revision 243802)
+++ usr.sbin/mtree/spec.c	(working copy)
@@ -216,6 +216,8 @@
 				errx(1, "line %d: invalid gid %s", lineno, val);
 			break;
 		case F_GNAME:
+			if (wflag)	/* don't parse if whacking */
+				break;
 			if ((gr = getgrnam(val)) == NULL)
 			    errx(1, "line %d: unknown group %s", lineno, val);
 			ip->st_gid = gr->gr_gid;
@@ -305,6 +307,8 @@
 				errx(1, "line %d: invalid uid %s", lineno, val);
 			break;
 		case F_UNAME:
+			if (wflag)	/* don't parse if whacking */
+				break;
 			if ((pw = getpwnam(val)) == NULL)
 			    errx(1, "line %d: unknown user %s", lineno, val);
 			ip->st_uid = pw->pw_uid;
